%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         10gen
%global repo            openssl
# https://github.com/10gen/openssl
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          2862bcc79a773edf6d701e41fb4880badad12cca
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%define rel		10

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        %mkrel 0.%{rel}.git%{shortcommit}
Summary:        OpenSSL bindings for Go (forked from github.com/spacemonkeygo/openssl)
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:      noarch
Group:          Development/Other

%description
%{summary}

%package devel
Summary:       %{summary}

BuildRequires: openssl-devel
BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(github.com/spacemonkeygo/spacelog)

Requires:      golang(github.com/spacemonkeygo/spacelog)
Requires:      openssl-devel

Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/utils) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}
%autopatch -p1

%build

%install
# as per commit 'removing code incompatible with openssl 0.9.8e',
# NewGCMDecryptionCipherCtx function no longer exists
rm -rf ciphers_test.go

install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.c *.h *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
export GOPATH=%{buildroot}/%{gopath}:%{gopath}:/usr/include:/usr/lib64
#go test %{import_path}

%files devel
%license LICENSE
%doc README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}


%changelog
* Sun Nov 08 2020 wally <wally> 0-0.10.git2862bcc.mga8
+ Revision: 1643724
- upstream added openssl1.1 support

* Sat Jun 27 2020 joequant <joequant> 0-0.9.git2862bcc.mga8
+ Revision: 1599469
- rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0-0.8.git2862bcc.mga8
+ Revision: 1526047
- Mageia 8 Mass Rebuild

* Tue Apr 23 2019 joequant <joequant> 0-0.7.git2862bcc.mga7
+ Revision: 1394884
- update to latest version
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 guillomovitch <guillomovitch> 0-0.4.git4c6dbaf.mga7
+ Revision: 1155474
- change build dependencies to build with openssl 1.0

* Sat Mar 05 2016 pterjan <pterjan> 0-0.3.git4c6dbaf.mga6
+ Revision: 985973
- Make the package compatible with the mass rebuild

* Sat Aug 01 2015 joequant <joequant> 0-0.2.git4c6dbaf.mga6
+ Revision: 860213
- fix openssl dependency

* Fri Jul 31 2015 joequant <joequant> 0-0.1.git4c6dbaf.mga6
+ Revision: 860058
- imported package golang-github-10gen-openssl

